org.eclipse.aether.util.graph.transformer

## Class JavaScopeDeriver

- java.lang.Object
- - org.eclipse.aether.util.graph.transformer.ConflictResolver.ScopeDeriver
  - - org.eclipse.aether.util.graph.transformer.JavaScopeDeriver

-     public final class JavaScopeDeriver
      extends ConflictResolver.ScopeDeriver

  A scope deriver for use with `ConflictResolver` that supports the scopes from `JavaScopes`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScopeDeriver()` Creates a new instance of this scope deriver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deriveScope(ConflictResolver.ScopeContext context)` Determines the scope of a dependency in relation to the scope of its parent.

    - ### Methods inherited from class org.eclipse.aether.util.graph.transformer.ConflictResolver.ScopeDeriver

      `getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScopeDeriver

          public JavaScopeDeriver()

      Creates a new instance of this scope deriver.

  - ### Method Detail

    - #### deriveScope

          public void deriveScope(ConflictResolver.ScopeContext context)
                           throws RepositoryException

      Description copied from class: `ConflictResolver.ScopeDeriver`
      Determines the scope of a dependency in relation to the scope of its parent. Implementors need to call `ConflictResolver.ScopeContext.setDerivedScope(String)` to deliver the result of their calculation. If said method is not invoked, the conflict resolver will assume the scope of the child dependency remains unchanged.
      Specified by:
        `deriveScope` in class `ConflictResolver.ScopeDeriver`
      Parameters:
        `context` - The scope context, must not be `null`.
      Throws:
        `RepositoryException` - If the scope deriviation failed.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.